PIIXPCIB(4)

NAME
piixpcib - Intel PIIX4 PCI-ISA bridge with SpeedStep

SYNOPSIS
piixpcib* at pci? dev ? function ?
isa* at piixpcib?

DESCRIPTION
The piixpcib driver provides support for the Intel PIIX and compatible PCI-ISA Bridges with Intel's first generation SpeedStep.

Frequency scaling is supported on Pentium III with two voltage modes, used by SpeedStep as power states low and high. The driver will switch into low power state by reducing voltage and frequency of the CPU. The factor depends on the processor itself, but will always reduce power consumption about 1/2.

The user can manually control the CPU frequency with the sysctl(8) program using the following node:

machdep.speedstep_state = [0/1]

SEE ALSO
est(4), isa(4), pci(4), apmd(8), sysctl(8)

HISTORY
The piixpcib driver first appeared in FreeBSD 5.5 and then in NetBSD 4.0.

AUTHORS
-nosplit The current piixpcib driver was written by Bruno Ducrot. It was ported to NetBSD by Jared D. McNeill <jmcneill@NetBSD.org>.